from odd.artifact import Addon, Issue, Location
from odd.plugin import Plugin

from odd_bunch.utils import odoo_commit_url


class ManifestFilename(Plugin):
    _handles = {"addon"}
    _emits = {"issue"}

    def on_addon(self, addon: Addon):
        if addon.version >= 10 and addon.manifest_path.name != "__manifest__.py":
            yield Issue(
                "deprecated_manifest_filename",
                "Starting with Odoo 10, addon manifest files should be named "
                '"__manifest__.py"',
                addon,
                locations=[Location(addon.manifest_path)],
                categories=["deprecated"],
                sources=[odoo_commit_url("4339196e5231aa734a0154e2f4e88b2e54f27d48")],
            )
